IncidentsChange information

Change information

Needs: Incidents, Read-write

Changes an incident's information. Send only what changes. The assignee is notified.

curl -X PATCH "https://app.imploy.com.au/api/integrations/v1/incidents/123" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "status": "Open",
  "assigned_to": 40
}'
{
  "updated": 12,
  "kind": "incident"
}
PATCH
/incidents/{id}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
path
idinteger
Required

The incident id.

Content-Typestring
Required

The media type of the request body

Options: application/json
statusstring

One of Triage, Open, Resolving, On Hold, Resolved, Not an Incident or Archived.

prioritystring

One of Low, Medium or High.

categorystring

One of Medication, Behaviour, Injury, Abuse, Restrictive, Privacy or Other.

locationstring

Where it happened.

assigned_tointeger

Staff id, or null to unassign.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The incident id.

Body

application/json
statusstring

One of Triage, Open, Resolving, On Hold, Resolved, Not an Incident or Archived.

prioritystring

One of Low, Medium or High.

categorystring

One of Medication, Behaviour, Injury, Abuse, Restrictive, Privacy or Other.

locationstring

Where it happened.

assigned_tointeger

Staff id, or null to unassign.

Responses

OK